#ifndef MENU_H
#define MENU_H

#include <SDL/SDL.h>
#include <SDL/SDL_ttf.h>
#include <string>
#include <vector>
#include "text.h"

class Menu
{
    public:
        Menu(int MenustartY);
        void add(std::string newText);
        void change(int i, std::string newText);
        int input();
        void draw() const;

    private:
        std::vector<Text> elements;
        Text selector;
        int startY;
        int selection;
};

#endif
